org.jboss.jca.deployers.common

## Class CommonDeployment

- java.lang.Object
- - org.jboss.jca.deployers.common.CommonDeployment

-     public class CommonDeployment
      extends java.lang.Object

  A CommonDeployment.
  Author:
    Stefano Maestri, Jesper Pedersen

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CommonDeployment(java.net.URL url, java.lang.String deploymentName, boolean activateDeployment, javax.resource.spi.ResourceAdapter resourceAdapter, java.lang.String resourceAdapterKey, java.lang.String bootstrapContextIdentifier, java.lang.Object[] cfs, java.lang.String[] cfJndiNames, org.jboss.jca.core.connectionmanager.ConnectionManager[] cfCM, java.lang.Object[] aos, java.lang.String[] aoJndiNames, org.jboss.jca.core.spi.transaction.recovery.XAResourceRecovery[] recoveryModules, org.jboss.jca.core.api.management.Connector connector, org.jboss.jca.core.api.management.DataSource[] dataSources, java.lang.ClassLoader cl, DeployersLogger log)` Create a new Deployment.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String[]` | `getAoJndiNames()` Get the admin object JNDI names.
    `java.lang.Object[]` | `getAos()` Get the aos.
    `java.lang.String` | `getBootstrapContextIdentifier()` Get the bootstrap context identifier
    `java.lang.String[]` | `getCfJndiNames()` Get the connection factory JNDI names.
    `java.lang.Object[]` | `getCfs()` Get the cfs.
    `java.lang.ClassLoader` | `getCl()` Get the cl.
    `org.jboss.jca.core.connectionmanager.ConnectionManager[]` | `getConnectionManagers()` Get the connection managers.
    `org.jboss.jca.core.api.management.Connector` | `getConnector()` Get the management view of the connector
    `org.jboss.jca.core.api.management.DataSource[]` | `getDataSources()` Get the management view of the datasources
    `java.lang.String` | `getDeploymentName()` Get the deploymentName.
    `DeployersLogger` | `getLog()` Get the log.
    `org.jboss.jca.core.spi.transaction.recovery.XAResourceRecovery[]` | `getRecovery()` Get the recovery modules.
    `javax.resource.spi.ResourceAdapter` | `getResourceAdapter()` Get the resourceAdapter.
    `java.lang.String` | `getResourceAdapterKey()` Get the resource adapter key
    `java.net.URL` | `getURL()` Get the url.
    `boolean` | `isActivateDeployment()` Get the activateDeployment.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CommonDeployment

          public CommonDeployment(java.net.URL url,
                                  java.lang.String deploymentName,
                                  boolean activateDeployment,
                                  javax.resource.spi.ResourceAdapter resourceAdapter,
                                  java.lang.String resourceAdapterKey,
                                  java.lang.String bootstrapContextIdentifier,
                                  java.lang.Object[] cfs,
                                  java.lang.String[] cfJndiNames,
                                  org.jboss.jca.core.connectionmanager.ConnectionManager[] cfCM,
                                  java.lang.Object[] aos,
                                  java.lang.String[] aoJndiNames,
                                  org.jboss.jca.core.spi.transaction.recovery.XAResourceRecovery[] recoveryModules,
                                  org.jboss.jca.core.api.management.Connector connector,
                                  org.jboss.jca.core.api.management.DataSource[] dataSources,
                                  java.lang.ClassLoader cl,
                                  DeployersLogger log)

      Create a new Deployment.
      Parameters:
        `url` - url
        `deploymentName` - deploymentName
        `activateDeployment` - activateDeployment
        `resourceAdapter` - resourceAdapter
        `resourceAdapterKey` - resourceAdapter key
        `bootstrapContextIdentifier` - The bootstrap context identifier
        `cfs` - The connection factories
        `cfJndiNames` - The JNDI names for the connection factories
        `cfCM` - The connection managers
        `aos` - The admin objects
        `aoJndiNames` - The JNDI names for the admin objects
        `recoveryModules` - The recovery modules
        `connector` - The management view of a connector
        `dataSources` - The management view of datasources
        `cl` - cl
        `log` - log

  - ### Method Detail

    - #### getURL

          public final java.net.URL getURL()

      Get the url.
      Returns:
        the url.

    - #### getDeploymentName

          public final java.lang.String getDeploymentName()

      Get the deploymentName.
      Returns:
        the deploymentName.

    - #### isActivateDeployment

          public final boolean isActivateDeployment()

      Get the activateDeployment.
      Returns:
        the activateDeployment.

    - #### getResourceAdapter

          public final javax.resource.spi.ResourceAdapter getResourceAdapter()

      Get the resourceAdapter.
      Returns:
        the resourceAdapter.

    - #### getResourceAdapterKey

          public final java.lang.String getResourceAdapterKey()

      Get the resource adapter key
      Returns:
        The value

    - #### getBootstrapContextIdentifier

          public final java.lang.String getBootstrapContextIdentifier()

      Get the bootstrap context identifier
      Returns:
        The value

    - #### getCfs

          public final java.lang.Object[] getCfs()

      Get the cfs.
      Returns:
        the cfs.

    - #### getCfJndiNames

          public final java.lang.String[] getCfJndiNames()

      Get the connection factory JNDI names.
      Returns:
        the jndiNames.

    - #### getConnectionManagers

          public final org.jboss.jca.core.connectionmanager.ConnectionManager[] getConnectionManagers()

      Get the connection managers.
      Returns:
        The value

    - #### getAos

          public final java.lang.Object[] getAos()

      Get the aos.
      Returns:
        the aos.

    - #### getAoJndiNames

          public final java.lang.String[] getAoJndiNames()

      Get the admin object JNDI names.
      Returns:
        the jndiNames.

    - #### getRecovery

          public final org.jboss.jca.core.spi.transaction.recovery.XAResourceRecovery[] getRecovery()

      Get the recovery modules.
      Returns:
        The value

    - #### getConnector

          public final org.jboss.jca.core.api.management.Connector getConnector()

      Get the management view of the connector
      Returns:
        The value

    - #### getDataSources

          public final org.jboss.jca.core.api.management.DataSource[] getDataSources()

      Get the management view of the datasources
      Returns:
        The value

    - #### getCl

          public final java.lang.ClassLoader getCl()

      Get the cl.
      Returns:
        the cl.

    - #### getLog

          public final DeployersLogger getLog()

      Get the log.
      Returns:
        the log.

Copyright © 2014 IronJacamar (http://www.ironjacamar.org)